Bug 106832 - Berkeley DB support removed on update
Summary: Berkeley DB support removed on update
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-11 11:40 UTC by Emmanuel Galanos
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 15:56:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Emmanuel Galanos 2003-10-11 11:40:46 UTC
Description of problem:
Berkeley DB support has been removed from the latest update.
This means existing BDB databases do not work after the update.
People scream, cry, and jump off high structures as a result.
This is not good.

Version-Release number of selected component (if applicable):
mysql-server-3.23.58-1.9

Previous version was mysql-3.23.56-1.80 (box was originally RHL 8.0)

How reproducible:
100%

Steps to Reproduce:
1. su - root;mysql
2. show variables like 'have_bdb';
    
Actual results:
NO

Expected results:
YES

Additional info:
To fix:
   Add:
--with-berkeley-db
   Remove:
--with-berkeley-db-includes
--with-berkeley-db-libs

(mysql needs included patched bdb implementation)

from spec file.

Comment 1 Patrick Macdonald 2003-10-14 14:36:28 UTC
Actually, in RHL 9, bdb support was not built in (but it was in RHL 8.0).  There 
were some changes made to the spec file by individuals and it seems that the 
--with-berkeley-db portion was removed.  Bummer.

We'll have to fix this... thanks for letting us know.

Comment 2 Patrick Macdonald 2003-10-27 15:56:49 UTC
Fixed.  I re-enabled testing on ia64 as well.  This will be available in rawhide
this week.


Note You need to log in before you can comment on or make changes to this bug.